Package org.apache.storm.kafka.monitor

## Class NewKafkaSpoutOffsetQuery

- java.lang.Object
- - org.apache.storm.kafka.monitor.NewKafkaSpoutOffsetQuery

-     public class NewKafkaSpoutOffsetQuery
      extends Object

  Class representing information for querying kafka for log head offsets, consumer offsets and the difference for new kafka spout using new consumer api.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewKafkaSpoutOffsetQuery​(String topics, String bootstrapBrokers, String consumerGroupId, String securityProtocol, String saslMechanism, String consumerPropertiesFileName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getBootStrapBrokers()` |
    `String` | `getConsumerGroupId()` |
    `String` | `getConsumerPropertiesFileName()` |
    `String` | `getSaslMechanism()` |
    `String` | `getSecurityProtocol()` |
    `String` | `getTopics()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NewKafkaSpoutOffsetQuery

          public NewKafkaSpoutOffsetQuery​(String topics,
                                          String bootstrapBrokers,
                                          String consumerGroupId,
                                          String securityProtocol,
                                          String saslMechanism,
                                          String consumerPropertiesFileName)

  - ### Method Detail

    - #### getTopics

          public String getTopics()

    - #### getBootStrapBrokers

          public String getBootStrapBrokers()

    - #### getConsumerGroupId

          public String getConsumerGroupId()

    - #### getSecurityProtocol

          public String getSecurityProtocol()

    - #### getSaslMechanism

          public String getSaslMechanism()

    - #### getConsumerPropertiesFileName

          public String getConsumerPropertiesFileName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`